package com.rf.psychological.group.dao.dto;

import com.rf.psychological.dao.dto.JpaDto;
import com.rf.psychological.security.EncryptDecodeConverter;

import javax.persistence.Convert;

/**
 * @author lpf
 * @description:
 * @date 26/10/2021上午11:18
 */
@JpaDto
public class GroupAuthSubjectNameDto {

    //组权限id
    private String id;

    //量表id
    private String bid;

    private String groupId;

    private String groupName;

    private String institutionNo;

    @Convert(converter = EncryptDecodeConverter.class)
    private String description;

    private String ename;

    private String flag;

    private String imageUrl;

    private String isHot;

    private String isNew;

    private String name;

    private int testNum;

    private String type;

    private String uploader;

    private String fileName;

    private String scoringPrinciple;

    private String status;

    private String scaleLimit;


    public GroupAuthSubjectNameDto(String id, String bId, String groupId, String groupName, String institutionNo, String description, String ename, String flag, String imageUrl, String isHot, String isNew, String name, int testNum, String type, String uploader, String fileName, String scoringPrinciple, String status, String scaleLimit) {
        this.id = id;
        this.bid = bId;
        this.groupId = groupId;
        this.groupName = groupName;
        this.institutionNo = institutionNo;
        this.description = description;
        this.ename = ename;
        this.flag = flag;
        this.imageUrl = imageUrl;
        this.isHot = isHot;
        this.isNew = isNew;
        this.name = name;
        this.testNum = testNum;
        this.type = type;
        this.uploader = uploader;
        this.fileName = fileName;
        this.scoringPrinciple = scoringPrinciple;
        this.status = status;
        this.scaleLimit = scaleLimit;
    }

    public GroupAuthSubjectNameDto() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getbid() {
        return bid;
    }

    public void setbid(String bId) {
        this.bid = bId;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getInstitutionNo() {
        return institutionNo;
    }

    public void setInstitutionNo(String institutionNo) {
        this.institutionNo = institutionNo;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getEname() {
        return ename;
    }

    public void setEname(String ename) {
        this.ename = ename;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getIsHot() {
        return isHot;
    }

    public void setIsHot(String isHot) {
        this.isHot = isHot;
    }

    public String getIsNew() {
        return isNew;
    }

    public void setIsNew(String isNew) {
        this.isNew = isNew;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getTestNum() {
        return testNum;
    }

    public void setTestNum(int testNum) {
        this.testNum = testNum;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUploader() {
        return uploader;
    }

    public void setUploader(String uploader) {
        this.uploader = uploader;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getScoringPrinciple() {
        return scoringPrinciple;
    }

    public void setScoringPrinciple(String scoringPrinciple) {
        this.scoringPrinciple = scoringPrinciple;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getScaleLimit() {
        return scaleLimit;
    }

    public void setScaleLimit(String scaleLimit) {
        this.scaleLimit = scaleLimit;
    }


    @Override
    public String toString() {
        return "GroupAuthSubjectNameDto{" +
                "id='" + id + '\'' +
                ", bid='" + bid + '\'' +
                ", groupId='" + groupId + '\'' +
                ", groupName='" + groupName + '\'' +
                ", institutionNo='" + institutionNo + '\'' +
                ", description='" + description + '\'' +
                ", ename='" + ename + '\'' +
                ", flag='" + flag + '\'' +
                ", imageUrl='" + imageUrl + '\'' +
                ", isHot='" + isHot + '\'' +
                ", isNew='" + isNew + '\'' +
                ", name='" + name + '\'' +
                ", testNum=" + testNum +
                ", type='" + type + '\'' +
                ", uploader='" + uploader + '\'' +
                ", fileName='" + fileName + '\'' +
                ", scoringPrinciple='" + scoringPrinciple + '\'' +
                ", status='" + status + '\'' +
                ", scaleLimit='" + scaleLimit + '\'' +
                '}';
    }
}
